<?php
/**
 * Get current theme options
 * 
 * @return array
 */
function aletheme_get_options() {
	$comments_style = array(
		'wp'  => 'Alethemes Comments',
		'fb'  => 'Facebook Comments',
		'dq'  => 'DISQUS',
		'lf'  => 'Livefyre',
		'off' => 'Disable All Comments',
	);

    $analytics = array(
        'classic'  => 'Classic Analytics',
        'universal'  => 'Universal Analytics',
    );

    $headerfont = array_merge(ale_get_safe_webfonts(), ale_get_google_webfonts());

    $background_defaults = array(
        'color' => '',
        'image' => '',
        'repeat' => 'repeat',
        'position' => 'top center',
        'attachment'=>'scroll'
    );

	
	$imagepath =  ALETHEME_URL . '/assets/images/';
	
	$options = array();
		
	$options[] = array("name" => "Theme",
						"type" => "heading");

    $options[] = array( "name" => "Site Logo",
                        "desc" => "Upload or put the site logo link (Default logo size: 267-101px)",
                        "id" => "ale_sitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( 'name' => "Manage Background",
                        'desc' => "Select the background color, or upload a custom background image. Default background is the #f5f5f5 color",
                        'id' => 'ale_background',
                        'std' => $background_defaults,
                        'type' => 'background');

    $options[] = array( "name" => "Background Size Cover",
                        "desc" => "Check if you want to select cover background size",
                        "id" => "ale_backcover",
                        "std" => "1",
                        "type" => "checkbox");

    $options[] = array( "name" => "Uplaod a favicon icon",
                        "desc" => "Upload or put the link of your favicon icon",
                        "id" => "ale_favicon",
                        "std" => "",
                        "type" => "upload");

	$options[] = array( "name" => "Comments Style",
						"desc" => "Choose your comments style. If you want to use DISQUS comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Disqus+Comment+System&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.  If you want to use Livefyre Realtime Comments comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Livefyre+Realtime+Comments&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.",
						"id" => "ale_comments_style",
						"std" => "wp",
						"type" => "select",
						"options" => $comments_style);

	$options[] = array( "name" => "AJAX Comments",
						"desc" => "Use AJAX on comments posting (works only with Alethemes Comments selected).",
						"id" => "ale_ajax_comments",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( "name" => "Social Sharing",
						"desc" => "Enable social sharing for posts.",
						"id" => "ale_social_sharing",
						"std" => "1",
						"type" => "checkbox");

    $options[] = array( "name" => "Copyrights",
                        "desc" => "Your copyright message.",
                        "id" => "ale_copyrights",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Typography",
                        "type" => "heading");

    $options[] = array( "name" => "Select the body Font from Google Library",
                        "desc" => "The default Font is - PT Serif",
                        "id" => "ale_mainfont",
                        "std" => "PT+Serif",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the body Font (Extended) from Google Library",
                        "desc" => "The default Font (extended)",
                        "id" => "ale_mainfontex",
                        "std" => "&amp;subset=latin,latin-ext,cyrillic",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Headers Font from Google Library",
                        "desc" => "The default Font is - Parisienne",
                        "id" => "ale_headerfont",
                        "std" => "Parisienne",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Headers Font (Extended) from Google Library",
                        "desc" => "The default Font (extended)",
                        "id" => "ale_headerfontex",
                        "std" => "&amp;subset=latin,latin-ext",
                        "type" => "text",
                        );

    $options[] = array( 'name' => "H1 Style",
                        'desc' => "Change the h1 style",
                        'id' => 'ale_h1sty',
                        'std' => array('size' => '22px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H2 Style",
                        'desc' => "Change the h2 style",
                        'id' => 'ale_h2sty',
                        'std' => array('size' => '20px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H3 Style",
                        'desc' => "Change the h3 style",
                        'id' => 'ale_h3sty',
                        'std' => array('size' => '18px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H4 Style",
                        'desc' => "Change the h4 style",
                        'id' => 'ale_h4sty',
                        'std' => array('size' => '16px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H5 Style",
                        'desc' => "Change the h5 style",
                        'id' => 'ale_h5sty',
                        'std' => array('size' => '14px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H6 Style",
                        'desc' => "Change the h6 style",
                        'id' => 'ale_h6sty',
                        'std' => array('size' => '12px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

    $options[] = array( 'name' => "Body Style",
                        'desc' => "Change the body font style",
                        'id' => 'ale_bodystyle',
                        'std' => array('size' => '16px','face' => 'PT+Serif','style' => 'normal','color' => '#575555'),
                        'type' => 'typography');

	$options[] = array( "name" => "Social",
						"type" => "heading");

    $options[] = array( "name" => "Twitter",
                        "desc" => "Your twitter profile URL.",
                        "id" => "ale_twi",
                        "std" => "",
                        "type" => "text");
	$options[] = array( "name" => "Facebook",
						"desc" => "Your facebook profile URL.",
						"id" => "ale_fb",
						"std" => "",
						"type" => "text");
    $options[] = array( "name" => "Google+",
                        "desc" => "Your google+ profile URL.",
                        "id" => "ale_gog",
                        "std" => "",
                        "type" => "text");
    $options[] = array( "name" => "Pinterest",
                        "desc" => "Your pinteres profile URL.",
                        "id" => "ale_pint",
                        "std" => "",
                        "type" => "text");
    $options[] = array( "name" => "Flickr",
                        "desc" => "Your flickr profile URL.",
                        "id" => "ale_flickr",
                        "std" => "",
                        "type" => "text");
	
	$options[] = array( "name" => "Facebook Application ID",
						"desc" => "If you have Application ID you can connect the blog to your Facebook Profile and monitor statistics there.",
						"id" => "ale_fb_id",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Enable Open Graph",
						"desc" => "The <a href=\"http://www.ogp.me/\">Open Graph</a> protocol enables any web page to become a rich object in a social graph.",
						"id" => "ale_og_enabled",
						"std" => "",
						"type" => "checkbox");


	
	$options[] = array( "name" => "Advanced Settings",
						"type" => "heading");

    $options[] = array( "name" => "Google Analytics Type",
                        "desc" => "Select the google analytics code type. Universal or Classic (The difference between versions you will find in google)",
                        "id" => "ale_analyticstype",
                        "std" => "classic",
                        "type" => "select",
                        "options" => $analytics);
	
	$options[] = array( "name" => "Google Analytics",
						"desc" => "Please insert your Google Analytics code here. Example: <strong>UA-22231623-1</strong>",
						"id" => "ale_ga",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Footer Code",
						"desc" => "If you have anything else to add in the footer - please add it here.",
						"id" => "ale_footer_info",
						"std" => "",
						"type" => "textarea");

    $options[] = array( "name" => "Custom CSS Styles",
                        "desc" => "You can add here your styles. ex. .boxclass { padding:10px; }",
                        "id" => "ale_customcsscode",
                        "std" => "",
                        "type" => "textarea");

    $options[] = array( "name" => "Home Page Options",
                        "type" => "heading");

    $options[] = array( "name" => "Background for About",
                        "desc" => "Upload image for background home page (About Us box).",
                        "id" => "ale_hp_about",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Background for Blog",
                        "desc" => "Upload image for background home page (Blog box).",
                        "id" => "ale_hp_blog",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Background for Menus",
                        "desc" => "Upload image for background home page (Menus box).",
                        "id" => "ale_hp_menus",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Background for Testimonial",
                        "desc" => "Upload image for background home page (Testimonial box).",
                        "id" => "ale_hp_testimonial",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Uplaod image",
                        "desc" => "Upload image for background home page.",
                        "id" => "ale_hp_img",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Uplaod video of format *.mp4",
                        "desc" => "Upload video for background home page.",
                        "id" => "ale_hp_mp4",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Uplaod video of format *.ogv",
                        "desc" => "Upload video for background home page.",
                        "id" => "ale_hp_ogv",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Uplaod video of format *.webm",
                        "desc" => "Upload video for background home page.",
                        "id" => "ale_hp_webm",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Our Team",
                        "type" => "heading");

    $options[] = array( "name" => "Description page",
                        "desc" => "Text for Our Team page.",
                        "id" => "ale_our_team",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Header Blog Option",
                        "type" => "heading");

    $options[] = array( "name" => "Background header page( simple page )",
                        "desc" => "Upload please image for background header (blog page).",
                        "id" => "ale_header_background",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Footer Option",
                        "type" => "heading");

    $options[] = array( "name" => "Footer description",
                        "desc" => "Insert text.",
                        "id" => "ale_fot_desc",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Background footer",
                        "desc" => "Upload please image for background footer.",
                        "id" => "ale_fot_background",
                        "std" => "",
                        "type" => "upload");
	
	return $options;
}

/**
 * Add custom scripts to Options Page
 */
function aletheme_options_custom_scripts() {
 ?>

<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#ale_commentongallery').click(function() {
        jQuery('#section-ale_gallerycomments_style').fadeToggle(400);
    });
    if (jQuery('#ale_commentongallery:checked').val() !== undefined) {
        jQuery('#section-ale_gallerycomments_style').show();
    }
});
</script>

<?php
}

/**
 * Add Metaboxes
 * @param array $meta_boxes
 * @return array 
 */
function aletheme_metaboxes($meta_boxes) {
	
	$meta_boxes = array();

    $prefix = "ale_";

    /* Metaboxes for Home page */
    $meta_boxes[] = array(
        'id'         => 'pagebg_metabox',
        'title'      => 'Home Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'About title',
                'desc' => 'Pleace insert About title to this page',
                'id'   => $prefix . 'about_title',
                'std' => 'About Chardonnay',
                'type'    => 'text',
            ),
            array(
                'name' => 'About (title link)',
                'desc' => 'Insert About title link ("Read More")',
                'id'   => $prefix . 'about_title_link',
                'std' => 'Read More',
                'type'    => 'text',
            ),
            array(
                'name' => 'About link',
                'desc' => 'Insert About link ("Read More")',
                'id'   => $prefix . 'about_link',
                'std' => '',
                'type'    => 'text',
            ),
            array(
                'name' => 'Show The About Box?',
                'desc' => 'Select enable to show the About box',
                'id'   => $prefix . 'about_ab',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Blog Box?',
                'desc' => 'Select enable to show the Blog box',
                'id'   => $prefix . 'about_blog',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Menus Box?',
                'desc' => 'Select enable to show the Menus box',
                'id'   => $prefix . 'about_menus',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'The number of menus in the slider',
                'desc' => 'Please enter the number displayed in the slider menu box (Ex.: 4, 8, 12, 16...)',
                'id'   => $prefix . 'about_menus_gallery',
                'std'  => '',
                'type'    => 'text',
            ),
            array(
                'name' => 'Show The Testimonial Box?',
                'desc' => 'Select enable to show the Testimonial box',
                'id'   => $prefix . 'about_testimonials',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
            array(
                'name' => 'Show The Gallery Box?',
                'desc' => 'Select enable to show the Gallery box',
                'id'   => $prefix . 'about_gallery',
                'std'  => 'on',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'Enable', 'value' => 'on', ),
                    array( 'name' => 'Disable', 'value' => 'off', ),
                ),
            ),
        )
    );

    /* Metaboxes for Contact page */
    $meta_boxes[] = array(
        'id'         => 'contact_page_metabox',
        'title'      => 'Contact Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-contact.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Address',
                'desc' => 'Insert the address',
                'id'   => $prefix . 'con_address',
                'std'  => 'Stefan cel Mare si Sfant Boulevard, Chisinau, Moldova',
                'type' => 'text',
            ),
        )
    );

    /* Metaboxes for Menu page */
    $meta_boxes[] = array(
        'id'         => 'menu_page_metabox',
        'title'      => 'Menu Page Options',
        'pages'      => array( 'menu', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Cook or Chef Image',
                'desc' => 'Upload the image for Cook or Chef (78x78 size)',
                'id'   => $prefix . 'cook_image',
                'type' => 'file',
            ),
            array(
                'name' => 'Chef position',
                'desc' => 'Insert please chef position.',
                'id'   => $prefix . 'cook_post',
                'type' => 'text',
            ),
            array(
                'name' => 'First & last name cook',
                'desc' => 'Insert first & last name.',
                'id'   => $prefix . 'cook_name',
                'type' => 'text',
            ),
            array(
                'name' => 'Price food',
                'desc' => 'Insert price',
                'id'   => $prefix . 'price_food',
                'type' => 'text',
            )
        )
    );

    /* Metaboxes for Event page */
    $meta_boxes[] = array(
        'id'         => 'event_page_metabox',
        'title'      => 'Event Page Options',
        'pages'      => array( 'event', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Event Date',
                'desc' => 'Please enter date for event',
                'id'   => $prefix . 'ev_date',
                'type' => 'text_date',
            )
        )
    );

    /* Metaboxes for Our Team page */
    $meta_boxes[] = array(
        'id'         => 'our_team_page_metabox',
        'title'      => 'Our Team Page Options',
        'pages'      => array( 'our-team', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => 'Chef position',
                'desc' => 'Insert please chef position.',
                'id'   => $prefix . 'chef_post',
                'type' => 'text',
            )
        )
    );

	return $meta_boxes;
}

/**
 * Get image sizes for images
 * 
 * @return array
 */
function aletheme_get_images_sizes() {
	return array(
        'post' => array(
            array(
                'name'      => 'post-item-thumba',
                'width'     => 590,
                'height'    => 306,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-home-thumba',
                'width'     => 271,
                'height'    => 380,
                'crop'      => true,
            ),
        ),
        'page' => array(
            array(
                'name'      => 'page-contact-thumba',
                'width'     => 349,
                'height'    => 363,
                'crop'      => true,
            ),
            array(
                'name'      => 'page-item-thumba',
                'width'     => 590,
                'height'    => 306,
                'crop'      => true,
            ),
        ),
        'about' => array(
            array(
                'name'      => 'about-thumba',
                'width'     => 463,
                'height'    => 385,
                'crop'      => true,
            ),
        ),
        'menu' => array(
            array(
                'name'      => 'menu-list-thumba',
                'width'     => 301,
                'height'    => 227,
                'crop'      => true,
            ),
            array(
                'name'      => 'menu-item-thumba',
                'width'     => 960,
                'height'    => 498,
                'crop'      => true,
            ),
            array(
                'name'      => 'menu-home-thumba',
                'width'     => 495,
                'height'    => 265,
                'crop'      => true,
            ),
        ),
        'event' => array(
            array(
                'name'      => 'event-list-thumba',
                'width'     => 952,
                'height'    => 439,
                'crop'      => true,
            ),
            array(
                'name'      => 'event-item-thumba',
                'width'     => 590,
                'height'    => 306,
                'crop'      => true,
            ),
        ),
        'gallery' => array(
            array(
                'name'      => 'gallery-list-thumba',
                'width'     => 320,
                'height'    => 224,
                'crop'      => true,
            ),
            array(
                'name'      => 'gallery-item-thumba',
                'width'     => 960,
                'height'    => 498,
                'crop'      => true,
            ),
        ),
        'our-team' => array(
            array(
                'name'      => 'our-team-thumba',
                'width'     => 635,
                'height'    => 455,
                'crop'      => true,
            ),
        ),
    );
}

/**
 * Add post types that are used in the theme 
 * 
 * @return array
 */
function aletheme_get_post_types() {
	return array(
        'about' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'About',
            'multiple' => 'About',
            'columns'    => array(
                'first_image',
            )
        ),
        'menu' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Menu',
            'multiple' => 'Menu',
            'columns'    => array(
                'first_image',
            )
        ),
        'event' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Event',
            'multiple' => 'Events',
            'columns'    => array(
                'first_image',
            )
        ),
        'gallery' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Gallery',
            'multiple' => 'Galleries',
            'columns'    => array(
                'first_image',
            )
        ),
        'our-team' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Our team',
            'multiple' => 'Our team',
            'columns'    => array(
                'first_image',
            )
        ),
        'testimonial' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Testimonial',
            'multiple' => 'Testimonials',
            'columns'    => array(
                'first_image',
            )
        ),
    );
}

/**
 * Add taxonomies that are used in theme
 * 
 * @return array
 */
function aletheme_get_taxonomies() {
	return array(
        'gallery-category'    => array(
            'for'        => array('gallery'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Gallery Category',
            'multiple'    => 'Gallery Categories',
        ),
        'menu-category'    => array(
            'for'        => array('menu'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Menu Category',
            'multiple'    => 'Menu Categories',
        ),
    );
}

/**
 * Add post formats that are used in theme
 * 
 * @return array
 */
function aletheme_get_post_formats() {
	return array();
}

/**
 * Get sidebars list
 * 
 * @return array
 */
function aletheme_get_sidebars() {
	$sidebars = array();
	return $sidebars;
}

/**
 * Predefine custom sliders
 * @return array
 */
function aletheme_get_sliders() {
	return array(
		'sneak-peek' => array(
			'title'		=> 'Sneak Peek',
		),
	);
}

/**
 * Post types where metaboxes should show
 * 
 * @return array
 */
function aletheme_get_post_types_with_gallery() {
	return array('gallery','about','menu');
}

/**
 * Add custom fields for media attachments
 * @return array
 */
function aletheme_media_custom_fields() {
	return array();
}