<?php
/* Template name: Home */
get_header(); ?>

<body class="homePage stop-scrolling" <?php body_class(); ?>>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<!-- Page Preloader -->
<div class="preloader">
    <div class="img">
        <img class="default" src="<?php echo get_template_directory_uri(); ?>/css/images/load.gif" />
        <br /> <?php _e('Loading','aletheme'); ?>
    </div>
</div>

<ul class="scrollNav">

    <li data-slide="1" class="scrollNav__item">
        <a href="#" class="scrollNav__link">
            <div class="scrollNav__ball">
                <div class="scrollNav__insBall"></div>
            </div>
        </a>
    </li>

    <?php if(ale_get_meta('about_ab') == 'on') { ?>
        <li data-slide="2" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>
    <?php } ?>

    <?php if(ale_get_meta('about_blog') == 'on') { ?>
        <li data-slide="3" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>

        <li data-slide="4" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>
    <?php } ?>

    <?php if(ale_get_meta('about_menus') == 'on') { ?>
        <li data-slide="5" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>

        <li data-slide="6" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>
    <?php } ?>

    <?php if(ale_get_meta('about_testimonials') == 'on') { ?>
        <li data-slide="7" class="scrollNav__item">
            <a href="#" class="scrollNav__link">
                <div class="scrollNav__ball">
                    <div class="scrollNav__insBall"></div>
                </div>
            </a>
        </li>
    <?php } ?>

    <?php if(ale_get_meta('about_gallery') == 'on') { ?>
    <li data-slide="8" class="scrollNav__item">
        <a href="#" class="scrollNav__link">
            <div class="scrollNav__ball">
                <div class="scrollNav__insBall"></div>
            </div>
        </a>
    </li>
    <?php } ?>
</ul>
<!-- END: SCROLL NAV -->


<div class="slide bg bg_first" data-slide="1" data-stellar-background-ratio="0.5" <?php if(ale_get_option('hp_about') != '') { ?>style="background-image: url(<?php echo ale_get_option('hp_about'); ?>);" <?php } ?>>

    <?php if(ale_get_option('hp_mp4') != '') { ?>
        <video autoplay="autoplay" loop="loop" muted="muted">
            <source src="<?php echo ale_get_option('hp_mp4'); ?>" type="video/mp4" />
            <source src="<?php echo ale_get_option('hp_ogv'); ?>" type="video/ogv" />
            <source src="<?php echo ale_get_option('hp_webm'); ?>" type="video/webm" />
            <object type="application/x-shockwave-flash" data="http://releases.flowplayer.org/swf/flowplayer-3.2.1.swf">
                <param name="movie" value="http://releases.flowplayer.org/swf/flowplayer-3.2.1.swf" />
                <param name="allowFullScreen" value="true" />
                <param name="wmode" value="transparent" />
                <param name="flashVars" value="config={'playlist':['<?php echo ale_get_option('hp_img'); ?>',{'url':'<?php echo ale_get_option('hp_mp4'); ?>','autoPlay':false}]}" />
                <img alt="Chardonnay" src="<?php echo ale_get_option('hp_img'); ?>" title="No video playback capabilities, please download the video below" />
            </object>
        </video>
    <?php } ?>

<div class="blackmask"></div>

        <?php ale_part('header-menu'); ?>

<div class="wrapLayerTitle">
    <div class="layerTitle">
        <h1 class="insLayerTitle"><?php _e('About us','aletheme'); ?></h1>
    </div>
</div>
<!-- END: LAYER TITLE -->
</div>
<!-- END: FIRST BG -->

<?php if(ale_get_meta('about_ab') == 'on') { ?>
    <div class="slide bg bg_second" data-slide="2" data-stellar-background-ratio="0.5">
        <div class="container">
            <header class="pageHeader pageHeader_aboutHome">
                <i class="pageHeader__icon pageHeader__icon_aboutHome"></i>
                <div class="insPageHeader insPageHeader_aboutHome">
                    <h1 class="insPageHeader__title insPageHeader__title_aboutHome"><?php echo ale_get_meta('about_title'); ?></h1>
                    <?php the_content(); ?>
                    <?php if($post->post_content != '') { ?>
                        <?php if(ale_get_meta('about_link') != '') { ?>
                            <div class="about_link">
                                <a href="<?php echo ale_get_meta('about_link');?>"><?php echo ale_get_meta('about_title_link'); ?></a>
                            </div>
                        <?php } ?>
                    <?php } ?>
                </div>
            </header>
            <!-- END: PAGE HEADER -->
        </div>
    </div>
    <!-- END: SECOND BG -->
<?php } ?>

<?php if(ale_get_meta('about_blog') == 'on') { ?>
    <div class="slide bg bg_third" data-slide="3" data-stellar-background-ratio="0.5" <?php if(ale_get_option('hp_blog') != '') { ?> style="background-image: url(<?php echo ale_get_option('hp_blog'); ?>); <?php } ?>">

        <div class="wrapLayerTitle wrapLayerTitle_blog">
            <div class="layerTitle">
                <h1 class="insLayerTitle"><?php _e('Blog','aletheme'); ?></h1>
            </div>
        </div>
        <!-- END: LAYER TITLE -->
    </div>
    <!-- END: THIRD BG -->

    <div class="slide bg_fourth" data-slide="4" data-stellar-background-ratio="0.5">
        <div class="container noPadding">
            <div class="blogPosts cf">
                <?php global $query_string; query_posts($query_string.'post_type=post&posts_per_page=6&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <div class="blog_item">
                        <figure class="blog_mask">
                            <?php if(get_the_post_thumbnail($post->ID,'post-home-thumba')){echo get_the_post_thumbnail($post->ID,'post-home-thumba');}else{echo '<img src="http://placehold.it/271x380&text=No Thumb">';} ?>
                            <figcaption class="hovermask">
                                <h1 class="insBlogPost__title">
                                    <a href="<?php the_permalink(); ?>" class="linkOpacity"><?php the_title(); ?></a>
                                </h1>
                                <time datetime="2014-06-14" class="insBlogPost__date"><?php echo get_the_date('d M Y'); ?></time>
                                <div class="insBlogPost__content">
                                    <p><?php trim_content_chars(140,'...') ?></p>
                                </div>
                            </figcaption>
                        </figure>
                    </div>
                    <!-- END: BLOG POST -->
                <?php endwhile; else: ?>
                    <?php ale_part('notfound')?>
                <?php endif; wp_reset_query(); ?>
                <?php $count_post = wp_count_posts(); if($count_post->publish != '') { ?>
                    <div class="read_more">
                        <a href="<?php echo home_url('/blog')?>" class="fromblog"><?php _e('All from the Blog','aletheme'); ?></a>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <!-- END: FOURTH BG -->
<?php } ?>

<?php if(ale_get_meta('about_menus') == 'on') { ?>
    <div class="slide bg bg_fifth" data-slide="5" data-stellar-background-ratio="0.5" <?php if(ale_get_option('hp_menus') != '') { ?> style="background-image: url(<?php echo ale_get_option('hp_menus'); ?>); <?php } ?>">
        <div class="wrapLayerTitle wrapLayerTitle_blog">
            <div class="layerTitle">
                <h1 class="insLayerTitle"><?php _e('Menus','aletheme'); ?></h1>
            </div>
        </div>
        <!-- END: LAYER TITLE -->
    </div>
    <!-- END: FIFTH BG -->

    <div class="slide bg_sixth" data-slide="6" data-stellar-background-ratio="0.5">
        <div class="container noPadding">
            <div class="menuItems cf">
                <div class="menu-flex-slider">
                    <ul class="slides cf">
                        <?php if(ale_get_meta('about_menus_gallery') != '') { $count_menu = ale_get_meta('about_menus_gallery'); } else { $count_menu == '-1'; }
                        query_posts('post_type=menu&posts_per_page='.$count_menu); $i = 1; if (have_posts()) : while (have_posts()) : the_post();
                            if ($i %4 == 1){echo '<li class="cf">';} ?>
                            <figure class="menuItem">
                                <a href="<?php the_permalink(); ?>">
                                    <?php if(get_the_post_thumbnail($post->ID,'menu-home-thumba')){echo get_the_post_thumbnail($post->ID,'menu-home-thumba');}else{echo '<img src="http://placehold.it/495x265&text=No thumb">';} ?>
                                    <figcaption class="overlay">
                                        <div class="wrapPopupTxt">
                                            <div class="popupTxt">
                                                <div class="insPopupTxt insPopupTxt_homeMenu">
                                                    <h1 class="menuItem__title"><?php the_title(); ?></h1>
                                                    <div class="menuItem__price"><?php echo ale_get_meta('price_food'); ?> <?php _e('dollars','aletheme'); ?></div>
                                                </div>
                                            </div>
                                        </div>
                                    </figcaption>
                                </a>
                            </figure>
                            <!-- END: MENU ITEM -->
                            <?php if($i % 4 == 0) { echo '</li>'; }
                            $i++; endwhile;  else: ?>
                            <?php ale_part('notfound')?>
                        <?php endif;  wp_reset_query(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- END: SIXTH BG -->
<?php } ?>

<?php if(ale_get_meta('about_testimonials') == 'on') { ?>
    <div class="slide bg bg_seventh cf" data-slide="7" data-stellar-background-ratio="0.5" <?php if(ale_get_option('hp_testimonial') != '') { ?> style="background-image: url(<?php echo ale_get_option('hp_testimonial'); ?>); <?php } ?>">
        <div class="testimonialblock cf">
            <div class="testimonialslider cf">
                <ul class="slides">
                    <?php query_posts('post_type=testimonial&posts_per_page=3&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <li>
                            <div class="testimonialitem cf">
                                <div class="title"><?php the_title(); ?></div>
                                <div class="desc"><?php trim_content_chars(400,'...') ?></div>
                            </div>
                        </li>
                    <?php endwhile; else: ?>
                        <?php ale_part('notfound')?>
                    <?php endif; wp_reset_query(); ?>
                </ul>
            </div>
        </div>
    </div>
    <!-- END: Seventh BG -->
<?php } ?>

<?php if(ale_get_meta('about_gallery') == 'on') { ?>
    <div class="slide bg_eighth cf" data-slide="8" data-stellar-background-ratio="0.5">
        <div class="galleryonhome cf">
            <div class="container cf">
                <h1 class="insPageHeader__title"><?php _e('From the Gallery','aletheme'); ?></h1>
                <div class="gallery cf">
                    <?php query_posts('post_type=gallery&posts_per_page=6&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <figure class="galleryItem">
                            <?php if(get_the_post_thumbnail($post->ID,'gallery-list-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-list-thumba');}else{echo '<img src="http://placehold.it/320x224&text=No Thumb">';} ?>
                            <figcaption class="overlay">
                                <a href="<?php the_permalink(); ?>">
                                    <div class="wrapPopupTxt">
                                        <div class="popupTxt">
                                            <div class="insPopupTxt">
                                                <h3 class="galleryItem__title"><?php the_title(); ?></h3>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </figcaption>
                        </figure>
                        <!-- END: GALLERY ITEM -->
                    <?php endwhile; else: ?>
                        <?php ale_part('notfound')?>
                    <?php endif; wp_reset_query(); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- END: eighth BG -->
<?php } ?>

<?php endwhile; endif; ?>

<?php get_footer(); ?>