<?php 
/**
 * Template Name: Template Contact
 */
// send contact
if (isset($_POST['contact'])) {
	$error = ale_send_contact($_POST['contact']);
}
get_header();
ale_part('header-menu'); ?>

    <div class="container">
        <header class="pageHeader pageHeader_contact">
            <i class="pageHeader__icon pageHeader__icon_contact pulse"></i>
            <div class="insPageHeader">
                <h1 class="insPageHeader__title"><?php _e('Contact','aletheme'); ?></h1>
            </div>
        </header>
        <!-- END: PAGE HEADER -->
    </div>

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <div class="contact_page">
        <div class="mapcode">
            <?php echo do_shortcode('[ale_map address="'.ale_get_meta('con_address').'" width="100%" height="945px" ]'); ?>
        </div>
        <div class="container">
            <div class="insContact">
                <div class="insContact__image">
                    <?php if(get_the_post_thumbnail($post->ID,'page-contact-thumba')){echo get_the_post_thumbnail($post->ID,'page-contact-thumba');}else{echo '<img src="http://placehold.it/349x363&text=No Thumb">';} ?>
                </div>
                <div class="insContact__form">
                    <form class="form" method="post" action="<?php the_permalink(); ?>">
                        <h1 class="form__title"><?php _e('Get in touch with us','aletheme')?></h1>
                        <?php if (isset($_GET['success'])) : ?>
                            <p class="success"><?php _e('Thank you for your message!', 'aletheme')?></p>
                        <?php endif; ?>
                        <?php if (isset($error) && isset($error['msg'])) : ?>
                            <p class="error"><?php echo $error['msg']?></p>
                        <?php endif; ?>
                        <fieldset class="form__content">
                            <input name="contact[name]" type="text" placeholder="Name" value="<?php echo isset($_POST['contact']['name']) ? $_POST['contact']['name'] : ''?>" required="required" id="contact-form-name" />
                            <input name="contact[email]" type="email" placeholder="Email" value="<?php echo isset($_POST['contact']['email']) ? $_POST['contact']['email'] : ''?>" required="required" id="contact-form-email" />
                            <input name="contact[website]" type="text" placeholder="Website" value="<?php echo isset($_POST['contact']['website']) ? $_POST['contact']['website'] : ''?>" id="contact-form-website" />
                            <textarea name="contact[message]"  placeholder="Comment" id="contact-form-message" required="required"><?php echo isset($_POST['contact']['message']) ? $_POST['contact']['message'] : ''?></textarea>
                            <input type="submit" value="<?php _e('Submit', 'aletheme')?>" class="form__btn linlOpacity">
                        </fieldset>
                        <?php wp_nonce_field() ?>
                    </form>
                </div>
                <div class="insContact__entry">
                    <?php the_content(); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- END: CONTACT -->
    <?php endwhile; endif; ?>

<?php get_footer(); ?>